/*      file     : common/CommonConfig.h
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: CommonConfig.h,v 1.12 2005/03/25 11:04:58 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef COMMONCONFIG_H
#define COMMONCONFIG_H

// ***DEFINES************************************************************************* 

#define OPTION_GROUP             "Option"

#define ENV_GROUP                "Env"

#define ENV_NAME_WORKDIR         "WorkDir"
#define ENV_NAME_SEED            "Seed"
#define ENV_NAME_DEBUGMASK       "DebugMask"
#define ENV_NAME_DEBUGLIFESPAN   "DebugLifeSpan"
#define ENV_NAME_DEBUGCONTROL    "DebugControl"
#define ENV_NAME_DEBUGCODE       "DebugCode"
#define ENV_NAME_DEBUGEVENT      "DebugEvent"
#define ENV_NAME_DEBUGMSG        "DebugMsg"
#define ENV_NAME_DEBUGMSGCONTROL "DebugMsgControl"
#define ENV_NAME_DEBUGPARSE      "DebugParse"
#define ENV_NAME_DEBUGPARALLEL   "DebugParallel"
#define ENV_NAME_DEBUGSTRING     "DebugString"
#define ENV_NAME_DEBUGABTREE     "DebugABTree"
#define ENV_NAME_DEBUGSIGNAL     "DebugSignal"
#define ENV_NAME_DEBUGALARM      "DebugAlarm"
#define ENV_NAME_DEBUGLEX        "DebugLex"
#define ENV_NAME_DEBUGYACC       "DebugYacc"
#define ENV_NAME_DEBUGCONFIG     "DebugConfig"
#define ENV_NAME_DEBUGCLASS      "DebugClass"
#define ENV_NAME_DEBUGBOUNDARY   "DebugBoundary"
#define ENV_NAME_DEBUGSTATSAMPLE "DebugStatSample"
#define ENV_NAME_DEBUGSTATAGGR   "DebugStatAggr"
#define ENV_NAME_DEBUGTIMESTEP   "DebugTimeStep"
#define ENV_NAME_DEBUGMIGRATION  "DebugMigration"
#define ENV_NAME_DEBUGTIME       "DebugTime"
#define ENV_NAME_DEBUGLOAD       "DebugLoad"
#define ENV_NAME_DEBUGCONTAINER  "DebugContainer"
#define ENV_NAME_DEBUGOBJECT     "DebugObject"
#define ENV_NAME_DEBUGFILE       "DebugFile"
#define ENV_NAME_DEBUGBALANCE    "DebugBalance"
#define ENV_NAME_DEBUGCOLLISION  "DebugCollision"
#define ENV_NAME_DEBUGTOPOLOGY   "DebugTopology"
#define ENV_NAME_DEBUGROUTE      "DebugRoute"

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
