/*      file     : common/TStringContainer.t.C
        project  : General Toolbox
        authors  : Marcus Rickert
        RCS      : $Id: TStringContainerEntry.t.C,v 1.3 2005/03/25 11:05:00 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TStringContainerEntryPrimitive
// =================================================================================== 

template < class T >
TStringContainerEntry< T >::TStringContainerEntry(const char *theString, T *theDataPtr) :

ParentClass(theString, theDataPtr)

{
}

// =================================================================================== 

template < class T >
TStringContainerEntry< T >::operator T * (void)

{
    return (T *) ParentClass::GetInstancePtr();
}

// =================================================================================== 

template < class T >
TBaseObject *
TStringContainerEntry< T >::Copy(void) const

{
    return new TStringContainerEntry< T > (GetString(), (T *) GetDataPtr());
}

// =================================================================================== 
#undef ParentClass
