divert(-1)
/*      file     : parallel/template/Reduce.Body.m4
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: Reduce.Body.m4,v 1.4 2005/03/25 11:06:21 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***FUNCTIONS*********************************************************************** 

divert(0)
bool
TCommunication::Reduce(const TYPE &SendData, TYPE &ReceiveData, 
                       TDestination Destination, TBaseOperation Operation, long Count)

{
    TCommunicationControl *Control;
    TCPNID                 Root;

    if (!CheckReduceParameters(Operation, Destination, Root, Control))
        return FALSE;
    return Control->ReduceLinearArray((const void *) &SendData, (void *) &ReceiveData,
                                      (int) Count, TYPECODE, Operation, Root);
}

// ===================================================================================
divert(-1)
// ===================================================================================
// Local Variables:
// mode:c++
// End:

