/*      file     : parbalance/TMigrationContext.C
        project  : Parallel Toolbox
        author   : Marcus Rickert
        RCS      : $Id: TMigrationContext.C,v 1.3 2005/03/25 11:06:49 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include "TMigrationContext.h"

// ***DEFINES************************************************************************* 
// ***CONSTANTS***********************************************************************
// ***TYPES*************************************************************************** 
// ***GLOBAL VARIABLES****************************************************************  
// ***LOCAL VARIABLES***************************************************************** 
// ***FUNCTIONS*********************************************************************** 
// ***METHODS************************************************************************* 

#ifdef NO_INLINE
#endif

// =================================================================================== 

// =================================================================================== 
#define ParentClass TBaseObject
// =================================================================================== 

TMigrationContext::TMigrationContext(int theInitialNrOfBoundaries,
                                     double theRemainingTransferLoad)

{
    InitialNrOfBoundaries = theInitialNrOfBoundaries;
    RemainingTransferLoad = theRemainingTransferLoad;
    Reset();
}

// =================================================================================== 
/*
TMigrationContext &
TMigrationContext::operator += (TMigrationContext &otherC)

{
    Load += otherC.Load;
    CPNInfos.Append(otherC.CPNInfos);
    Nodes.Append(otherC.Nodes);
    BoundaryNodes.DeleteAll();
    BoundaryNodes.Append(otherC.BoundaryNodes);
    return *this;
}
*/
// =================================================================================== 

void
TMigrationContext::Reset(void)

{
    CPNInfos.DeleteAll();
    Nodes.DeleteAll();
    BoundaryNodes.DeleteAll();
    Load = 0.0;
}

// =================================================================================== 
#undef ParentClass
