/*      file     : parbalance/TNodeHeapEntry.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TNodeHeapEntry.C,v 1.2 2005/03/25 11:06:49 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include "TNodeHeapEntry.h"

// ***GLOBAL VARIABLES****************************************************************  

TClassInfo *TNodeHeapEntry::ClassInfo = 0;

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TParallelObject
// =================================================================================== 

TNodeHeapEntry::TNodeHeapEntry(TParallelID theParallelID) :

ParentClass(ClassInfo, theParallelID)

{
    Penalty = (double) INVALID;
}

// =================================================================================== 

int
TNodeHeapEntry::HeapCompare(THeapObject *OtherObject, int) const

{
    TNodeHeapEntry *OtherNodeEntry = (TNodeHeapEntry *) OtherObject;

    return CompareDouble(OtherNodeEntry->Penalty, Penalty);
}


// =================================================================================== 
#undef ParentClass
