/*      file     : Planner/synchronize.cc
        project  : PAMINA III
        author   : Marcus Rickert
        RCS      : $Id: synchronize.h,v 1.3 2005/03/25 12:27:31 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

//extern "C"

struct TSyncInfo
{
    char PipeName[256];
    int  IsMaster;
    int  Read;
    int  Write;
};

// =================================================================================== 

int
SyncActivate(TSyncInfo *Info, const char *thePipeName, int IsMasterFlag);

void
SyncDeactivate(TSyncInfo *Info);

int
SyncStep(TSyncInfo *Info, long Step);

void
SyncInit(TSyncInfo *Info);

int
SyncWait(TSyncInfo *Info, long &MyStep, int &ErrorFlag);
