/*      file     : parbalance/ParBalanceTemplates.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: ParBalanceTemplates.C,v 1.6 2005/03/25 11:06:49 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

/* ***INCLUDES************************************************************************ */

#define TEMPLATEBODIES

#include <THeap.h>
#include <TABTree.h>
#include <TDLList.h>

#include <TNodeHeapEntry.h>
#include <TTransferLoadInfo.h>
#include <TLoadStat.h>
#include <TObjectTimeStat.h>
#include <TExtendedLoadStat.h>
#include <TNeighborCommInfo.h>

#ifdef __GNUC__

template class TDLList< TTransferLoadInfo >;
template class TDLList< TLoadStat >;
template class TDLList< TObjectTimeStat >;
template class TDLList< TExtendedLoadStat >;
template class TDLList< TNeighborCommInfo >;
template class TDLListEnum< TTransferLoadInfo >;
template class TDLListEnum< TLoadStat >;
template class TDLListEnum< TObjectTimeStat >;
template class TDLListEnum< TExtendedLoadStat >;
template class TDLListEnum< TNeighborCommInfo >;

template class THeap< TNodeHeapEntry >;

#endif

// ===================================================================================


