/*      file     : partools/TCommunicationLink.i.C
        project  : Parallel Toolbox 2.x
        authors  : Marcus Rickert
        RCS      : $Id: TCommunicationLink.i.C,v 1.3 2005/03/25 11:08:14 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline void
TCommunicationLink::Activate(void) 

{
    LinkFlags |= CL_FLAG_ACTIVE;
}

// =================================================================================== 

inline void
TCommunicationLink::Deactivate(void) 

{
    LinkFlags &= ~CL_FLAG_ACTIVE;
}

// =================================================================================== 

inline TCPNID
TCommunicationLink::GetFromCPNID(void) const

{
    return FromCPNID;
}

// =================================================================================== 

inline TCPNID
TCommunicationLink::GetToCPNID(void) const

{
    return ToCPNID;
}

// =================================================================================== 

inline bool
TCommunicationLink::IsActive(void) const

{
    return (LinkFlags & CL_FLAG_ACTIVE);
}

// =================================================================================== 
