/*      file     : partools/TObjectTimer.C
        project  : PAMINA III
        author   : Marcus Rickert
        RCS      : $Id: TObjectTimer.C,v 1.3 2005/03/25 11:08:15 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include <TObjectTimer.h>

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TParallelObject
// =================================================================================== 

TObjectTimer::TObjectTimer(TClassInfo *theClassInfo, TParallelID theParallelID) :
    
ParentClass(theClassInfo, theParallelID)

{
    Reset();
}

// =================================================================================== 

double
TObjectTimer::GetTime(void)

{
    return ElapsedTime;
}

// =================================================================================== 

void
TObjectTimer::Reset(void)

{
    ElapsedTime = 0.0;
    Timer.Reset();
}

// =================================================================================== 
#undef ParentClass
