/*      file     : pvm/PVMConfig.h
        project  : Parallel Toolbox
        author   : Marcus Rickert
        RCS      : $Id: PVMConfig.h,v 1.4 2005/03/25 11:08:26 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef PVMCONFIG_H
#define PVMCONFIG_H

// ***DEFINES************************************************************************* 

/** @name Configuration Group PVM
    The configuration group [PVM] understands the following names:
    \begin{itemize}
    \item {\bf Hostfilename="filename";} Use hostfile {\tt filename}.
    \end{itemize}
*/

#define PVM_GROUP                 "PVM"
#define PVM_NAME_ROUTING_MODE     "RoutingMode"
#define PVM_NAME_HOSTFILENAME     "HostFilename"
#define PVM_NAME_ENCODING         "Encoding"

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
