#      	file     : scripts/RuleMakefile
#      	project  : Parallel Toolbox 2.x
#	author   : Marcus Rickert
#	RCS      : $Id: makelibrary.bash,v 1.2 2005/03/25 12:28:31 mr Exp $
#
#        Copyright (C) 2005 Marcus Rickert
#
#        http://www.the-rickerts.de/mr/PAMINA.html
#
# create all neccessary directories for application 
# $1 = architecture name
# $2 = library directory name
# $3 = temporary library path (if != "")

libdir=$3/$2
if [ ! -d $libdir ] ; then
	echo "Creating directory "$libdir
	mkdir $libdir
fi
archdir=$libdir/$1
if [ ! -d $archdir ] ; then
	echo "Creating directory "$archdir
	mkdir $archdir
fi
if [ ! -d $1 ] ; then
	echo "Creating directory "$1
	mkdir $1
fi
if [ ! -f Makefile ] ; then
	ln -s *Makefile Makefile
fi
